Index: /branches/RefactorPluginInfrastructure-2522/HeuristicLab.PluginInfrastructure/3.3/HeuristicLab.PluginInfrastructure-3.3.csproj
===================================================================
--- /branches/RefactorPluginInfrastructure-2522/HeuristicLab.PluginInfrastructure/3.3/HeuristicLab.PluginInfrastructure-3.3.csproj	(revision 13332)
+++ /branches/RefactorPluginInfrastructure-2522/HeuristicLab.PluginInfrastructure/3.3/HeuristicLab.PluginInfrastructure-3.3.csproj	(revision 13333)
@@ -121,43 +121,15 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="Advanced\AvailablePluginsView.cs">
+    <Compile Include="Advanced\InstallationManagerControl.cs">
       <SubType>UserControl</SubType>
     </Compile>
-    <Compile Include="Advanced\AvailablePluginsView.Designer.cs">
-      <DependentUpon>AvailablePluginsView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Advanced\BasicUpdateView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Advanced\BasicUpdateView.Designer.cs">
-      <DependentUpon>BasicUpdateView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Advanced\ConfirmationDialog.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="Advanced\ConfirmationDialog.Designer.cs">
-      <DependentUpon>ConfirmationDialog.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Advanced\ConnectionSetupView.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="Advanced\ConnectionSetupView.Designer.cs">
-      <DependentUpon>ConnectionSetupView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Advanced\PluginUpdaterForm.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="Advanced\PluginUpdaterForm.Designer.cs">
-      <DependentUpon>PluginUpdaterForm.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Advanced\DeploymentService\AdminServiceClientFactory.cs" />
-    <Compile Include="Advanced\DeploymentService\DeploymentServerCertificateValidator.cs" />
-    <Compile Include="Advanced\DeploymentService\ServiceClients.cs" />
-    <Compile Include="Advanced\DeploymentService\UpdateServiceClientFactory.cs" />
-    <Compile Include="Advanced\EditProductsView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Advanced\EditProductsView.Designer.cs">
-      <DependentUpon>EditProductsView.cs</DependentUpon>
+    <Compile Include="Advanced\InstallationManagerControl.Designer.cs">
+      <DependentUpon>InstallationManagerControl.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Advanced\InstallationManagerForm.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Advanced\InstallationManagerForm.Designer.cs">
+      <DependentUpon>InstallationManagerForm.cs</DependentUpon>
     </Compile>
     <Compile Include="Advanced\InstalledPluginsView.cs">
@@ -167,38 +139,7 @@
       <DependentUpon>InstalledPluginsView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Advanced\LicenseConfirmationDialog.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="Advanced\LicenseConfirmationDialog.Designer.cs">
-      <DependentUpon>LicenseConfirmationDialog.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Advanced\UploadPluginsView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Advanced\UploadPluginsView.Designer.cs">
-      <DependentUpon>UploadPluginsView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Advanced\Util.cs" />
-    <Compile Include="Advanced\InstallationManagerControl.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Advanced\InstallationManagerControl.Designer.cs">
-      <DependentUpon>InstallationManagerControl.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Advanced\InstallationManagerException.cs" />
-    <Compile Include="Advanced\InstallationManager.cs" />
-    <Compile Include="Advanced\InstallationManagerForm.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="Advanced\InstallationManagerForm.Designer.cs">
-      <DependentUpon>InstallationManagerForm.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Advanced\DeploymentService\PluginDescription.cs">
+    <Compile Include="Advanced\IStatusDisplay.cs">
       <SubType>Code</SubType>
     </Compile>
-    <Compile Include="Advanced\DeploymentService\ProductDescription.cs">
-      <SubType>Code</SubType>
-    </Compile>
-    <Compile Include="Advanced\IStatusDisplay.cs" />
     <Compile Include="Advanced\LicenseView.cs">
       <SubType>Form</SubType>
@@ -218,4 +159,7 @@
     <Compile Include="Advanced\PluginView.Designer.cs">
       <DependentUpon>PluginView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Advanced\Util.cs">
+      <SubType>Code</SubType>
     </Compile>
     <Compile Include="AssemblyHelpers.cs" />
@@ -257,5 +201,4 @@
     <Compile Include="Interfaces\IControlManager.cs" />
     <Compile Include="Interfaces\IPlugin.cs" />
-    <Compile Include="ControlManager.cs" />
     <Compile Include="Interfaces\IPluginDescription.cs" />
     <Compile Include="InvalidPluginException.cs" />
@@ -272,6 +215,8 @@
     <Compile Include="Main.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="Sandboxing\SandboxManager.cs">
+      <SubType>Code</SubType>
+    </Compile>
     <Compile Include="TypeExtensions.cs" />
-    <None Include="Advanced\DeploymentService\GenerateServiceClients.cmd" />
     <None Include="app.config">
       <SubType>Designer</SubType>
@@ -293,5 +238,4 @@
       <DependentUpon>Resources.resx</DependentUpon>
     </Compile>
-    <Compile Include="Sandboxing\SandboxManager.cs" />
     <Compile Include="Starter\AboutDialog.cs">
       <SubType>Form</SubType>
@@ -314,5 +258,4 @@
   </ItemGroup>
   <ItemGroup>
-    <EmbeddedResource Include="Advanced\DeploymentService\services.heuristiclab.com.cer" />
     <None Include="Resources\Error.ico" />
     <Content Include="Resources\HeuristicLab.ico" />
@@ -362,4 +305,7 @@
     </BootstrapperPackage>
   </ItemGroup>
+  <ItemGroup>
+    <Folder Include="Advanced\DeploymentService\" />
+  </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: /branches/RefactorPluginInfrastructure-2522/HeuristicLab.PluginInfrastructure/3.3/Starter/StarterForm.cs
===================================================================
--- /branches/RefactorPluginInfrastructure-2522/HeuristicLab.PluginInfrastructure/3.3/Starter/StarterForm.cs	(revision 13332)
+++ /branches/RefactorPluginInfrastructure-2522/HeuristicLab.PluginInfrastructure/3.3/Starter/StarterForm.cs	(revision 13333)
@@ -37,14 +37,13 @@
   public partial class StarterForm : Form {
     private const string pluginManagerItemName = "Plugin Manager";
-    private const string updatePluginsItemName = "Updates Available";
-    private const string optimizerItemName = "Optimizer";
+    // private const string updatePluginsItemName = "Updates Available";
+    private const string optimizerItemName = "Optimizer"; // TODO: encoding a specific name of an application here is problematic (applications are discovered dynamically)
 
     private readonly ICommandLineArgument[] arguments;
 
     private ListViewItem pluginManagerListViewItem;
-    private bool abortRequested;
+    private bool abortRequested; // TODO: necessary
     private PluginManager pluginManager;
     private SplashScreen splashScreen;
-    private bool updatesAvailable = false;
 
     /// <summary>
@@ -69,6 +68,4 @@
       pluginManager.DiscoverAndCheckPlugins();
       UpdateApplicationsList();
-
-      CheckUpdatesAvailableAsync();
     }
 
@@ -122,23 +119,4 @@
             }
           }
-        } else if (selected.Text == updatePluginsItemName) {
-          if (pluginManager.Plugins.Any(x => x.PluginState == PluginState.Loaded)) {
-            MessageBox.Show("Updating is not possible while another HeuristicLab application is active." + Environment.NewLine +
-              "Please stop all active HeuristicLab applications and try again.", "Update plugins",
-              MessageBoxButtons.OK, MessageBoxIcon.Information);
-          } else {
-            try {
-              Cursor = Cursors.AppStarting;
-              using (PluginUpdaterForm form = new PluginUpdaterForm(pluginManager)) {
-                form.ShowDialog(this);
-              }
-              updatesAvailable = false;
-              CheckUpdatesAvailableAsync();
-              UpdateApplicationsList();
-            }
-            finally {
-              Cursor = Cursors.Arrow;
-            }
-          }
         } else {
           ApplicationDescription app = (ApplicationDescription)applicationsListView.SelectedItems[0].Tag;
@@ -182,5 +160,4 @@
         applicationsListView.Items.Clear();
         AddPluginManagerItem();
-        AddUpdatePluginsItem();
 
         foreach (ApplicationDescription info in pluginManager.Applications) {
@@ -209,53 +186,4 @@
 
       applicationsListView.Items.Add(pluginManagerListViewItem);
-    }
-
-    private void AddUpdatePluginsItem() {
-      if (updatesAvailable) {
-        var updateListViewItem = new ListViewItem(updatePluginsItemName, 1);
-        updateListViewItem.Group = applicationsListView.Groups["Plugin Management"];
-        updateListViewItem.SubItems.Add(new ListViewItem.ListViewSubItem(updateListViewItem, ""));
-        updateListViewItem.SubItems.Add(new ListViewItem.ListViewSubItem(updateListViewItem, "Download and install updates"));
-        updateListViewItem.ToolTipText = "Download and install updates";
-
-        applicationsListView.Items.Add(updateListViewItem);
-      }
-    }
-
-    private void CheckUpdatesAvailableAsync() {
-      string pluginPath = Path.GetFullPath(Application.StartupPath);
-      var task = Task.Factory.StartNew<bool>(() => {
-        var installationManager = new InstallationManager(pluginPath);
-        IEnumerable<IPluginDescription> installedPlugins = pluginManager.Plugins.OfType<IPluginDescription>();
-        var remotePlugins = installationManager.GetRemotePluginList();
-        // if there is a local plugin with same name and same major and minor version then it's an update
-        var pluginsToUpdate = from remotePlugin in remotePlugins
-                              let matchingLocalPlugins = from installedPlugin in installedPlugins
-                                                         where installedPlugin.Name == remotePlugin.Name
-                                                         where installedPlugin.Version.Major == remotePlugin.Version.Major
-                                                         where installedPlugin.Version.Minor == remotePlugin.Version.Minor
-                                                         where Util.IsNewerThan(remotePlugin, installedPlugin)
-                                                         select installedPlugin
-                              where matchingLocalPlugins.Count() > 0
-                              select remotePlugin;
-        return pluginsToUpdate.Count() > 0;
-      });
-      task.ContinueWith(t => {
-        try {
-          t.Wait();
-          updatesAvailable = t.Result;
-          UpdateApplicationsList();
-        }
-        catch (AggregateException ae) {
-          ae.Handle(ex => {
-            if (ex is InstallationManagerException) {
-              // this is expected when no internet connection is available => do nothing 
-              return true;
-            } else {
-              return false;
-            }
-          });
-        }
-      });
     }
 
